DyKnow 5.8 is Here (April 2015)!

Follow

We released our most recent version of DyKnow Monitor and Vision (5.8) on April 10, 2015. Read on to learn more about what's improved and changed:

New/Updated Features

URL Filtering: A new URL filtering component in DyKnow Monitor plays nice with your third party systems, is more secure, and is more useful for teachers. Now allowing a URL will display that domain page and any associated images/content for students. This also improves the reliability around pages that require secure log-in credentials.

All existing URL plans are still there for teachers and do not need to be updated.

IE 9+ and Chrome are supported with our initial 5.8.3 release. (Update: Firefox is also supported as of our June client release - see version history or request your custom DyKnow msi here)

Client Automatic Updates:  Once your clients and server have been upgraded to version 5.8, you have the ability to manage client automatic updates via the DyKnow Administration Console. This way you won't have to push out any future MSIs. More information is at our 5.8 Updater Technical FAQ.

 

Compatibility Highlights (see our full 5.8 Compatibility/Specs)

OS and versions:  The DyKnow 5.8 client supports Windows 7, Windows 8, and Windows 8.1 but not Windows 10. Even though DyKnow 5.8, 5.7, and 5.6 client and server are compatible with each other, we highly recommend all customers move to 5.8. Additionally, if you want the client autoupdater described above, both client and server need to be on 5.8.

Dropping support for Windows Server 2003 and SQL 2005:  Microsoft is dropping support for Windows Server 2003 and SQL 2005. As a result, DyKnow no longer supports servers running these versions. Read documentation carefully if you are installing/upgrading Windows Server as things changed from 2003 to 2012.

New prerequisite (C++ 2010 SP1 redistributable_x86):  ONLY needed if upgrading machines from version 5.7 (not needed if installing on a fresh image or upgrading from version 5.6 or earlier). Check out our wizard-based prerequisite page to verify you have everything you need before installing the DyKnow 5.8 MSI.

Have more questions? Submit a request

Comments

Powered by Zendesk